NCOPY(1)

NAME
ncopy - NetWare file copy

SYNOPSIS
ncopy -V ncopy [ -vmMnpptu ] [ -s amount ] file destinationfile|directory ncopy [ -vmMnpptu ] [ -s amount ] file1 [ file2 ... ] directory ncopy -r [ -vmMnpptu ] [ -s amount ] srcdir dstdir

DESCRIPTION
With ncopy you can copy files to different locations on a single NetWare file server without generating excess network traffic. The program uses a NetWare function to do the copy rather than transferring the file across the network for both the read and write. If the last argument is a directory, ncopy will copy the source file(s) into the directory. If only two files are given and the last argument is not a directory, it will copy the source file to the destination file. If the source and destination files are not on the same NetWare server (or are not on NetWare servers at all), ncopy will do a normal file copy.

OPTIONS
-V
    Show version number and exit
-v
    Verbose copy. Will show current file and percentage completion.
-m
    Copy MAC resource fork. Copies MAC resource fork together with data fork.
-M
    Copy MAC resource fork to/from non-MAC filesystem. It expects/creates resource forks in subdirectory .rsrc of each directory copied. If you want to copy files from MAC volume to .rsrc scheme, you must specify both options, -mM. It is not possible to create .rsrc directory on MAC-aware volume in one step, you must first copy data to non-MAC media using ncopy -mM and then copy them back using ncopy -M. If you want to copy files from .rsrc scheme on MAC volume to real MAC multiple-forks file, you must first copy data to non-MAC filesystem using ncopy -M and then copy them back using ncopy -mM.
-n
    Nice NetWare copy. Will sleep for a second between copying blocks on the NetWare server. Gives other people a chance to do some work on the NetWare server when you are copying large files. This has no effect if you are not copying on a NetWare server.
-s amount
    Nice time slice factor. Used in conjunction with the -n option, this specifies the number of 100K blocks to copy before sleeping. Default is 10. (1 Megabyte)
-p
    Preserve file attributes and date/time during copy.
-pp
    Preserve file attributes, date/time and owner during copy. Name of owner is preserved, not owner ID.
-t
    Preserve trustees during copy. Trustee name is preserved, not ID.
-r
    Perform recursive copy.
-u
    Perform copy only if mtime or size differs.

BUGS
ncopy does not preserve long (MAC, NFS, FTAM, OS2) names during copy.

SEE ALSO
ncpmount(8), ncpumount(8)

CREDITS
ncopy was written by Brian G. Reid (breid@tim.com) and Tom C. Henderson (thenderson@tim.com). Many thanks to Volker Lendecke (lendecke@math.uni-goettingen.de) for the ncpfs and ncplib which made ncopy possible. Some further work was done by Petr Vandrovec (vandrove@vc.cvut.cz).